#!/bin/sh
# Searching for java in your system.
DIRNAME=`dirname $0`
cd ..

if test -d $DIRNAME/jre
then
    JAVA_HOME=$DIRNAME/jre
    export JAVA_HOME
fi

if [ "x$JAVA" = "x" ]; then
    if [ "x$JAVA_HOME" != "x" ]; then
        JAVA="$JAVA_HOME/bin/java"
    else
        JAVA=`which java`
    fi
fi

JAVA_EXE=`which java`
if [ $? -ne 0 ]; then
	echo java command not found
	exit 1
fi

cd lib

	if [ -f AdventNetUpdateManagerInstaller.jar_new ]; 
	then
		cp AdventNetUpdateManagerInstaller.jar_new AdventNetUpdateManagerInstaller.jar
		rm -r AdventNetUpdateManagerInstaller.jar_new
	else
		echo ""		
	fi

cd ..	

LD_LIBRARY_PATH=./lib/native:$LD_LIBRARY_PATH
export LD_LIBRARY_PATH

CLASSPATH=./lib/AdventNetUpdateManagerInstaller.jar
export CLASSPATH

JAVA_OPTS="-Ddb.home=$DIRNAME/mysql"

$JAVA -Xmx100m  $JAVA_OPTS -Dtier-type=BE -Djava.library.path=./lib/native -Dtier-id=BE1 -cp $CLASSPATH com.adventnet.tools.update.installer.UpdateManager -u conf $*
cd bin

