//$Id: validation.js,v 1.5.4.7 2007/05/24 06:45:05 arumugam Exp $

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function trimAll(str)
{
        /*************************************************************
        Input Parameter :str
        Purpose         : remove all white spaces in front and back of string
        Return          : str without white spaces
        ***************************************************************/

        //check for all spaces
        var objRegExp =/^(\s*)$/;
        if (objRegExp.test(str))
        {
                str = str.replace(objRegExp,'');
                if (str.length == 0)
                return str;
        }

        // check for leading and trailling spaces
        objRegExp = /^(\s*)([\W\w]*)(\b\s*$)/;
        if(objRegExp.test(str))
        {
                str = str.replace(objRegExp, '$2');
        }
        return str;
}

function trimTextFields(){
	var arr = document.getElementsByTagName('input');
	if(eval(arr.length)){
		for(var i=0; i<arr.length; i++){
			if(arr[i].type=='text') {
				var trimValue = trimAll(arr[i].value);
				arr[i].value = trimValue;
			}
		}
	}
	arr = document.getElementsByTagName('textarea');
	if(eval(arr.length)){
		for(var i=0; i<arr.length; i++){
				var trimValue = trimAll(arr[i].value);
				arr[i].value = trimValue;
		}
	}	
}

function isValidFullName(val){
	var objRegExp = "+\\\"";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
}

function isValidName(val){
	var objRegExp = "/\\[]:;|=+*?<>@\"";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
}

function isValidUserName(val){
	var objRegExp = "/\\[]:;|=,+*?<>@\"";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
}

function isValidComputerName(val){
	var objRegExp = "/\\[]:|=+*?<>\"";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
}

function isValidRoleName(val){
	var objRegExp = "/\\[]:;|=,+*?<>@\"\'";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
}

function isValidFolderName(val){
	var objRegExp = "/:|*?<>\"";
	for (var i = 0; i < val.length; i++) {
	  	if (objRegExp.indexOf(val.charAt(i)) != -1) {
		  	return false;
	  	}
  	}
	return true;
}

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function isEmpty(str)
{
	/*************************************************************
	input    : str
	purpose  : To check if empty
	output   : if empty true or false
	***************************************************************/

     var temp = trimAll(str);
     if(temp.length > 0 )
	return false;
     return true;
}

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function isEmailId(str)
{
	/*****************************************************************
	Input   :  str
	purpose :  To validate for email
	output  :  valid email true/false
	*******************************************************************/
   var objRegExp  = /^[a-z0-9]([a-z0-9_\-\.]*)@([a-z0-9_\-\.]*)(\.[a-z]{2,3}(\.[a-z]{2}){0,2})$/i;
   return objRegExp.test(str); 
}

/*~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
function isIpAddress(str)
{
	/***************************************************************
	input   : str
	purpose : To check the ip Address
	output  : returns true or false
	*****************************************************************/
	
	
	// we removed the usage of regular expression
	// as some of the browsers ( NN in Sun OS )
	// crashes when doing this validation.
	// now we use simple check for doing the same.

	var ipAddress = str.split(".");
	if(ipAddress.length != 4)
	{
		return false;
	}
	for(i=0;i<ipAddress.length;i++)
	{
		if(isPositiveInteger(ipAddress[i]))
		{
			var temp = parseInt(ipAddress[i],10);
			if(temp > 255)
			{
				return false;
			}
		}
		else
		{
			return false;
		}

	}
	return true;
}

function isPositiveInteger(str)
{
	/****************************************************************
	input   : str
	purpose : check if number is positive integer
	output  : returns true or false
	*****************************************************************/
	var temp  = parseInt(str,10);
	if ( isNaN(temp) || temp.toString().length != str.length) {
		return false;
	}
	var objRegExp = /(^\d\d*$)/;
	return objRegExp.test(temp);
}

function selectAll(selectAllObj, objs, flag)
{
//	var flag = selectAllObj.checked;
	if(eval(objs).length)
	{
		for(var i=0; i<objs.length; i++)
		{
			objs[i].checked = flag;
		}
	}
	else
	{
		objs.checked = flag;
	}
	selectAllObj.checked = flag;
}

function checkAll(selectAllObj, objs)
{
	var check = true;
	if(eval(objs).length)
	{
		for(var i=0; i<objs.length; i++)
		{
			if(!objs[i].checked)
			{
				check = false;
			}
		}
	}
	else
	{
		check = objs.checked;
	}
	if(selectAllObj) selectAllObj.checked = check;
}

function validateCSV(str)
{
    	if(str != "")
        {
		var checkFile = str.match("csv");
		var checkDot = str.split(".");

		if(checkDot == str)
		{
			alert("Please select a proper file");
	        return false;
		}

		if(checkFile != 'csv')
                {
                        alert("Select only CSV files");
                        return false;
                }
                return true;
        }
        else
        {
                alert("Please select a file before clicking 'Import Data' button");
                return false;
        }		
}
